# ShulkerBox (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block, interface: ShulkerBox

Package org.bukkit.block

# Interface ShulkerBox

All Superinterfaces:
  `BlockInventoryHolder`, `BlockState`, `Container`, `InventoryHolder`, `Lidded`, `Lockable`, `Lootable`, `LootableBlockInventory`, `LootableInventory`, `Metadatable`, `Nameable`, `PersistentDataHolder`, `TileState`

public interface ShulkerBox extends Container, LootableBlockInventory, Lidded
Represents a captured state of a ShulkerBox.

## Method Summary

Modifier and Type
Method
Description
`@Nullable DyeColor`
`getColor()`
Get the `DyeColor` corresponding to this ShulkerBox

### Methods inherited from interface org.bukkit.inventory.BlockInventoryHolder

`getBlock`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.block.Container

`getInventory, getSnapshotInventory`

### Methods inherited from interface org.bukkit.block.Lidded

`close, isOpen, open`

### Methods inherited from interface org.bukkit.block.Lockable

`getLock, isLocked, setLock`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface com.destroystokyo.paper.loottable.LootableBlockInventory

`getBlock`

### Methods inherited from interface com.destroystokyo.paper.loottable.LootableInventory

`getLastFilled, getLastLooted, getLastLooted, getNextRefill, hasBeenFilled, hasPendingRefill, hasPlayerLooted, hasPlayerLooted, isRefillEnabled, setHasPlayerLooted, setHasPlayerLooted, setNextRefill`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`

## Method Details

### getColor

@Nullable @Nullable DyeColor getColor()
Get the `DyeColor` corresponding to this ShulkerBox

Returns:
  the `DyeColor` of this ShulkerBox, or null if default